Skip to content
Guides
Content & StorefrontPages

Get page by slug

Returns a published page by its slug, with its sections and blocks.

GET/v1/pages/{slug}

Returns a published page by its slug, with its sections and blocks.

Path Parameters

slug*string

URL-friendly identifier.

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/pages/example-resource" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "channel": "storefront",  "layout": "example",  "version": 1,  "settings": {},  "sections": [    {      "id": "7204558912004325301",      "type": "example",      "order": 1,      "settings": {},      "blocks": [        {          "id": "7204558912004325301",          "type": "example",          "order": 1,          "settings": {}        }      ]    }  ],  "status": "draft",  "hasPublishedVersion": false,  "publishedOn": "2026-08-01T15:30:00Z",  "publishedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z",  "createdBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",  "updatedBy": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821",  "lastModifiedBy": "example"}